﻿using Ant_Colony_Optimalization_Parallel.Graph;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ant_Colony_Optimalization_Parallel.Ant
{
    public class CDecreaseMultiply
    {
        private double value;
        private double min;

        public CDecreaseMultiply(double value, double min)
        {
            this.value = value;
            this.min = min;
        }


        public void DecreasePheromone(Graph.CEdge[] edgeArray)
        {
            Parallel.ForEach(edgeArray, edge =>
            {
                if (edge.Pheromone > this.min)
                {
                    edge.Pheromone = edge.Pheromone * this.value;
                }
            });
        }
    }
}
